VIGRA - TemplateVectorElementAccessor class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| VectorElementAccessor Class Template Reference |
--- | --- | ---

Accessor for one component of a vector. More...

`#include "vigra/accessor.hxx"`

## Public Types
typedef ACCESSOR::component_type | value_type
## Public Methods
| VectorElementAccessor (int index, ACCESSOR a=ACCESSOR())
template<class ITERATOR> value_type const & | operator() (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> value_type const & | operator() (ITERATOR const &i, DIFFERENCE const &diff) const
template<class V, class ITERATOR> void | set (V const &value, ITERATOR const &i) const
template<class V, class ITERATOR, class DIFFERENCE> void | set (V const &value, ITERATOR const &i, DIFFERENCE const &diff) const
void | setIndex (int i)

## Detailed Description

### template<class ACCESSOR>
class vigra::VectorElementAccessor< ACCESSOR >

Accessor for one component of a vector.

This works like VectorComponentAccessor, only the template paramters differ: Here, we need a vector accessor type , wheras VectorComponentAccessor requires a vector type.

Usage:

        vigra::BRGBImage image(w,h);

        // init red channel with 255
        initImage(destImageRange(image,
                                 VectorElementAccessor<vigra::BRGBImage::Accessor>(0)),
                  255);

#include "vigra/accessor.hxx"
Namespace: vigra

## Member Typedef Documentation

typedef ACCESSOR::component_type value_type

| the value_type

## Constructor & Destructor Documentation

VectorElementAccessor | ( | int | index,
|  | ACCESSOR | a = ACCESSOR()
| ) | `[inline]`

| determine the component to be accessed

## Member Function Documentation

value_type const& operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) | const`[inline]`

| read the data item at an offset (can be 1D or 2D or higher order difference).

value_type const& operator() | ( | ITERATOR const & | i | ) | const`[inline]`

| read the current data item

void set | ( | V const & | value,
|  | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) | const`[inline]`

| Write the data item at an offset (can be 1D or 2D or higher order difference).. The type `V` of the passed in `value` is automatically converted to `value_type`. In case of a conversion floating point -> intergral this includes rounding and clipping.

void set | ( | V const & | value,
|  | ITERATOR const & | i
| ) | const`[inline]`

| Write the current data item. The type `V` of the passed in `value` is automatically converted to `value_type`. In case of a conversion floating point -> intergral this includes rounding and clipping.

void setIndex | ( | int | i | ) | `[inline]`

| Reset the index to the given number.

The documentation for this class was generated from the following file:

- vigra/accessor.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)